﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ToDo.MvcApp.Models
{
    public class ToDoRepository: IToDoRepository
    {
        private List<Task> tasks = new List<Task>();
        private int _nextId = 1;

        public ToDoRepository()
        {
            Add(new Task { Title = "Tende", Description = "Comprare l'asta per le tende", Category = "Casa"});
            Add(new Task { Title = "Tennis", Description = "Cambiare l'accordatura della racchetta", Category = "Sport" });
            Add(new Task { Title = "Router", Description = "Cambiare l'SSD del Router", Category = "Hardware" });
        }

        public IEnumerable<Task> GetAll()
        {
            return tasks;
        }

        public Task Get(int id)
        {
            return tasks.Find(p => p.Id == id);
        }

        public Task Add(Task task)
        {
            if (task == null)
            {
                throw new ArgumentNullException("task");
            }
            task.Id = _nextId++;
            tasks.Add(task);
            return task;
        }

        public void Remove(int id)
        {
            tasks.RemoveAll(p => p.Id == id);
        }

        public bool Update(Task task)
        {
            if (task == null)
            {
                throw new ArgumentNullException("task");
            }
            int index = tasks.FindIndex(p => p.Id == task.Id);
            if (index == -1)
            {
                return false;
            }
            tasks.RemoveAt(index);
            tasks.Add(task);
            return true;
        }
    }
}