namespace ToDoWebApi.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Initial : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.ToDoCategories",
                c => new
                    {
                        CategoryId = c.Int(nullable: false, identity: true),
                        Title = c.String(nullable: false),
                    })
                .PrimaryKey(t => t.CategoryId);
            
            CreateTable(
                "dbo.ToDoTasks",
                c => new
                    {
                        TaskId = c.Int(nullable: false, identity: true),
                        Description = c.String(nullable: false),
                        CategoryId = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.TaskId)
                .ForeignKey("dbo.ToDoCategories", t => t.CategoryId, cascadeDelete: true)
                .Index(t => t.CategoryId);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.ToDoTasks", "CategoryId", "dbo.ToDoCategories");
            DropIndex("dbo.ToDoTasks", new[] { "CategoryId" });
            DropTable("dbo.ToDoTasks");
            DropTable("dbo.ToDoCategories");
        }
    }
}
