namespace ToDoWebApi.Migrations
{
    using System;
    using System.Collections.Generic;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;
    using ToDoWebApi.Models;

    internal sealed class Configuration : DbMigrationsConfiguration<ToDoWebApi.Models.ToDoContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(ToDoWebApi.Models.ToDoContext context)
        {
            //  This method will be called after migrating to the latest version.

            var categories = new List<ToDoCategory>()
            {
                new ToDoCategory() {CategoryId = 1, Title = "Casa"},
                new ToDoCategory() {CategoryId = 2, Title = "Lavoro"}
            };
            categories.ForEach(c => context.ToDoCategories.AddOrUpdate(c));
            context.SaveChanges();

            var tasks = new List<ToDoTask>()
            {
                new ToDoTask()
                {
                    TaskId = 1,
                    Description = "Fare la dry run della sessione WebAPI 2.0",
                    CategoryId = 2
                },

                new ToDoTask()
                {
                    TaskId = 2,
                    Description = "Verificare il video out del Surface Pro col proiettore della sala",
                    CategoryId = 2
                },
                
                new ToDoTask()
                {
                    TaskId = 3,
                    Description = "Montare le tende in salotto",
                    CategoryId = 1
                },

                new ToDoTask()
                {
                    TaskId = 4,
                    Description = "Collegare Sky alla parabola e verificare la potenza del segnale",
                    CategoryId = 1
                },

                new ToDoTask()
                {
                    TaskId = 5,
                    Description = "Acquistare Lumia 520 per mia figlia",
                    CategoryId = 1
                }

            };
            tasks.ForEach(t => context.ToDoTasks.AddOrUpdate(t));
            context.SaveChanges();
        }
    }
}
