namespace BooksAPI.Migrations
{
    using BooksAPI.Models;
    using System;
    using System.Collections.Generic;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    internal sealed class Configuration : DbMigrationsConfiguration<BooksAPI.Models.BooksContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
            ContextKey = "BooksAPI.Models.BooksContext";
        }

        protected override void Seed(BooksContext context)
        {
            var authors = new List<Author>() {
                new Author() { AuthorId = 1, Name = "Evans, Eric" },
                new Author() { AuthorId = 2, Name = "Fowler, Martin" },
                new Author() { AuthorId = 3, Name = "Martell, Yann" },
                new Author() { AuthorId = 4, Name = "Moriarty, Liane" }
            };
            authors.ForEach(x => context.Authors.Add(x));
            context.SaveChanges();

            var books = new List<Book>()
            {
                new Book()
                {
                    BookId = 1,
                    Title= "Domain Driven Design: Tackling Complexity in the Heart of Software",
                    Genre = "Computer Science", 
                    PublishDate = new DateTime(2003, 8, 22),
                    AuthorId = 1,
                    Description = "A fantastic book on how you can make the design of your software match " +
                                  "your mental model of the problem domain you are addressing.",
                    Price = 25.34M
                }, 

                new Book()
                {
                    BookId = 2,
                    Title = "Patterns of Enterprise Application Architecture",
                    Genre = "Computer Science", 
                    PublishDate = new DateTime(2002, 11, 15),
                    AuthorId = 2,
                    Description = "With the help of an expert group of contributors, Martin distills over " +
                                  "forty recurring solutions into patterns. The result is an indispensable " +
                                  "handbook of solutions that are applicable to any enterprise application " +
                                  "platform.",
                    Price = 27.03M
                },

                new Book()
                {
                    BookId = 3,
                    Title = "UML Distilled: A Brief Guide to the Standard Object Modeling Language (3rd Edition)",
                    Genre = "Computer Science", 
                    PublishDate = new DateTime(2003, 9, 15),
                    AuthorId = 2,
                    Description = "This book describes all the major UML diagram types, what they're used for, " +
                                  "and the basic notation involved in creating and deciphering them.",
                    Price = 24.92M
                },

                new Book()
                {
                    BookId = 4,
                    Title = "Life Of Pi",
                    Genre = "Fiction", 
                    PublishDate = new DateTime(2002, 5, 9),
                    AuthorId = 3,
                    Description = "This book is a magical reading experience, an endless blue expanse of " +
                                  "storytelling about adventure, survival, and ultimately, faith.",
                    Price = 12.95M
                },

                new Book()
                {
                    BookId = 5,
                    Title = "The Husband's Secret",
                    Genre = "Fiction", 
                    PublishDate = new DateTime(2013, 7, 30),
                    AuthorId = 4,
                    Description = "The story of The Husband's Secret unfolds from the third person perspectives " +
                                  "of three women, Cecilia, Tess and Rachel. At first the connections between " +
                                  "these women are peripheral but the secret Jon-Paul has been keeping for " +
                                  "decades will change them all.",
                    Price = 7.30M
                },

            };

            books.ForEach(x => context.Books.Add(x));
            context.SaveChanges();
        }
    }
}
