﻿using OrdersAPI.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Http;
using System.Web.Http.OData;

namespace OrdersAPI.Controllers
{
    [ODataNullValue]
    public class BilligAddressesController : ODataController
    {
        ShoppingContext context;

        public BilligAddressesController()
        {
            context = new ShoppingContext();
        }

        [Queryable(MaxExpansionDepth = 5)]
        public IQueryable<Address> Get()
        {
            return context.BilligAddresses.AsQueryable();
        }

        [Queryable(MaxExpansionDepth = 5)]
        public SingleResult<Address> Get(int key)
        {
            return SingleResult.Create(context.BilligAddresses.Where(ba => ba.AddressId == key));
        }
    }

}
