﻿using OrdersAPI.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Http;
using System.Web.Http.OData;

namespace OrdersAPI.Controllers
{
    [ODataNullValue]
    public class CustomersController : ODataController
    {
        ShoppingContext context;

        public CustomersController()
        {
            context = new ShoppingContext();
        }

        [Queryable(MaxExpansionDepth = 5)]
        public IQueryable<Customer> Get()
        {
            return context.Customers.AsQueryable();
        }

        [Queryable(MaxExpansionDepth = 5)]
        public SingleResult<Customer> Get(int key)
        {
            return SingleResult.Create(context.Customers.Where(c => c.CustomerId == key));
        }
    }

}
